complexType "WeatherIndexData"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 element
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | referenceLevel
</...>

Content Model Elements (1):

  referenceLevel

All Direct / Indirect Based Elements (2):

  weatherIndexData (in commodityOption), | weatherIndexData (in weatherLeg)

Known Usage Locations

- As direct type of elements (2):

  weatherIndexData (in commodityOption), | weatherIndexData (in weatherLeg)

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="WeatherIndexData"> <xsd:sequence> <xsd:element name="referenceLevel" type="ReferenceLevel"/> <!--View Generation: SKIPPED dataProvider - NonStandardFeature--> <!--View Generation: SKIPPED finalEditedData - NonStandardFeature--> <!--View Generation: SKIPPED weatherStation - NonStandardFeature--> <!--View Generation: SKIPPED weatherStationFallback - NonStandardFeature--> <!--View Generation: SKIPPED weatherStationSecondFallback - NonStandardFeature--> <!--View Generation: SKIPPED alternativeDataProvider - NonStandardFeature--> <!--View Generation: SKIPPED synopticDataFallback - NonStandardFeature--> <!--View Generation: SKIPPED adjustmentToFallbackWeatherStation - NonStandardFeature--> <!--View Generation: SKIPPED primaryDisruptionFallbacks - NonStandardFeature--> <!--View Generation: SKIPPED secondaryDisruptionFallbacks - NonStandardFeature--> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/1)
referenceLevel

  Type: | ReferenceLevel, complex content

  Reference level is the number of degree-days (in the case of HDD and CDD) or inches/millimeters (in the case of CPD) on which the differential is calculated. In the case of HDD it is the number of degree-days below this reference level. In the case of CDD it is the number of degree days above this reference level. In the case of CPD it is number of inches/millimeters above this reference level.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="referenceLevel" type="ReferenceLevel"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.